ServerEvents.recipes(event => {
  const greg = event.recipes.gtceu;
  event.remove({ output: 'projecte:dm_helmet' })
  event.remove({ output: 'projecte:dm_chestplate' })
  event.remove({ output: 'projecte:dm_leggings' })
  event.remove({ output: 'projecte:dm_boots' })
  event.remove({ output: 'projecte:rm_helmet' })
  event.remove({ output: 'projecte:rm_chestplate' })
  event.remove({ output: 'projecte:rm_leggings' })
  event.remove({ output: 'projecte:rm_boots' })
  event.remove({ output: 'projecte:gem_helmet' })
  event.remove({ output: 'projecte:gem_chestplate' })
  event.remove({ output: 'projecte:gem_leggings' })
  event.remove({ output: 'projecte:gem_boots' })
//dark matter armor
  greg
    .assembler("projecte:dm_helmet")
    .itemInputs("gtceu:quarktech_helmet")
    .itemInputs("gtceu:zpm_field_generator")
    .itemInputs("gtceu:zpm_sensor")
    .itemInputs("16x gtceu:fine_europium_wire")
    .itemInputs("4x gtceu:osmiridium_screw")
    .itemInputs("5x gtceu:quantum_star")
    .itemInputs("25x projecte:dark_matter")
    .itemOutputs("projecte:dm_helmet")
    .duration(600)
    .EUt(130000);
	
  greg
    .assembler("projecte:dm_chestplate")
    .itemInputs("gtceu:quarktech_chestplate")
    .itemInputs("gtceu:zpm_field_generator")
    .itemInputs("8x gtceu:zpm_emitter")
    .itemInputs("16x gtceu:fine_europium_wire")
    .itemInputs("4x gtceu:osmiridium_screw")
    .itemInputs("8x gtceu:quantum_star")
    .itemInputs("40x projecte:dark_matter")
    .itemOutputs("projecte:dm_chestplate")
    .duration(600)
    .EUt(130000);
	
  greg
    .assembler("projecte:dm_leggings")
    .itemInputs("gtceu:quarktech_leggings")
    .itemInputs("gtceu:zpm_field_generator")
    .itemInputs("8x gtceu:zpm_electric_motor")
    .itemInputs("16x gtceu:fine_europium_wire")
    .itemInputs("4x gtceu:osmiridium_screw")
    .itemInputs("7x gtceu:quantum_star")
    .itemInputs("35x projecte:dark_matter")
    .itemOutputs("projecte:dm_leggings")
    .duration(600)
    .EUt(130000);
	
  greg
    .assembler("projecte:dm_boots")
    .itemInputs("gtceu:quarktech_boots")
    .itemInputs("gtceu:zpm_field_generator")
    .itemInputs("4x gtceu:zpm_electric_piston")
    .itemInputs("16x gtceu:fine_europium_wire")
    .itemInputs("4x gtceu:osmiridium_screw")
    .itemInputs("4x gtceu:quantum_star")
    .itemInputs("20x projecte:dark_matter")
    .itemOutputs("projecte:dm_boots")
    .duration(600)
    .EUt(130000);
//red matter armor
  greg
    .assembler("projecte:rm_helmet")
    .itemInputs("projecte:dm_helmet")
    .itemInputs("gtceu:uv_field_generator")
    .itemInputs("gtceu:uv_sensor")
    .itemInputs("32x gtceu:fine_tritanium_wire")
    .itemInputs("4x gtceu:tritanium_screw")
    .itemInputs("25x projecte:red_matter")
    .itemOutputs("projecte:rm_helmet")
    .duration(600)
    .EUt(330000);

  greg
    .assembler("projecte:rm_chestplate")
    .itemInputs("projecte:dm_chestplate")
    .itemInputs("4x gtceu:uv_field_generator")
    .itemInputs("8x gtceu:uv_emitter")
    .itemInputs("32x gtceu:fine_tritanium_wire")
    .itemInputs("4x gtceu:tritanium_screw")
    .itemInputs("40x projecte:red_matter")
    .itemOutputs("projecte:rm_chestplate")
    .duration(600)
    .EUt(330000);

  greg
    .assembler("projecte:rm_leggings")
    .itemInputs("projecte:dm_leggings")
    .itemInputs("gtceu:uv_field_generator")
    .itemInputs("8x gtceu:uv_electric_motor")
    .itemInputs("32x gtceu:fine_tritanium_wire")
    .itemInputs("4x gtceu:tritanium_screw")
    .itemInputs("35x projecte:red_matter")
    .itemOutputs("projecte:rm_leggings")
    .duration(600)
    .EUt(330000);

  greg
    .assembler("projecte:rm_boots")
    .itemInputs("projecte:dm_boots")
    .itemInputs("gtceu:uv_field_generator")
    .itemInputs("8x gtceu:uv_electric_piston")
    .itemInputs("32x gtceu:fine_tritanium_wire")
    .itemInputs("4x gtceu:tritanium_screw")
    .itemInputs("20x projecte:red_matter")
    .itemOutputs("projecte:rm_boots")
    .duration(600)
    .EUt(330000);
  //red matter+ armor
  greg
    .assembler("projecte:gem_helmet")
    .inputFluids("gtceu:omnium 144")
    .itemInputs("projecte:rm_helmet")
    .itemInputs("3x #gtceu:circuits/uhv")
    .itemInputs("gtceu:uhv_sensor")
    .itemInputs("gtceu:uhv_field_generator")
    .itemInputs("8x kubejs:mote_of_omnium")
    .itemInputs("4x gtceu:omnium_screw")
    .itemInputs("kubejs:the_ultimate_material")
    .itemOutputs("projecte:gem_helmet")
    .duration(800)
    .EUt(1966080);
	
  greg
    .assembler("projecte:gem_chestplate")
    .inputFluids("gtceu:omnium 144")
    .itemInputs("projecte:rm_chestplate")
    .itemInputs("3x #gtceu:circuits/uhv")
    .itemInputs("2x gtceu:uhv_emitter")
    .itemInputs("gtceu:uhv_field_generator")
    .itemInputs("8x kubejs:mote_of_omnium")
    .itemInputs("4x gtceu:omnium_screw")
    .itemInputs("kubejs:the_ultimate_material")
    .itemOutputs("projecte:gem_chestplate")
    .duration(800)
    .EUt(1966080);
	
  greg
    .assembler("projecte:gem_leggings")
    .inputFluids("gtceu:omnium 144")
    .itemInputs("projecte:rm_leggings")
    .itemInputs("3x #gtceu:circuits/uhv")
    .itemInputs("5x gtceu:uhv_electric_motor")
    .itemInputs("gtceu:uhv_field_generator")
    .itemInputs("8x kubejs:mote_of_omnium")
    .itemInputs("4x gtceu:omnium_screw")
    .itemInputs("kubejs:the_ultimate_material")
    .itemOutputs("projecte:gem_leggings")
    .duration(800)
    .EUt(1966080);
	
  greg
    .assembler("projecte:gem_boots")
    .inputFluids("gtceu:omnium 144")
    .itemInputs("projecte:rm_boots")
    .itemInputs("3x #gtceu:circuits/uhv")
    .itemInputs("2x gtceu:uhv_electric_piston")
    .itemInputs("gtceu:uhv_field_generator")
    .itemInputs("8x kubejs:mote_of_omnium")
    .itemInputs("4x gtceu:omnium_screw")
    .itemInputs("kubejs:the_ultimate_material")
    .itemOutputs("projecte:gem_boots")
    .duration(800)
    .EUt(1966080);
	
})
